UploadProgressInputStream (gCube File Upload Progress Bar Widget 1.3.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.widgets.fileupload.server

## Class UploadProgressInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.gcube.portlets.widgets.fileupload.server.UploadProgressInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class UploadProgressInputStream
      extends FilterInputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UploadProgressInputStream(InputStream in, long totalBytes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(org.apache.commons.fileupload.ProgressListener listener)`
    `void` | `close()`
    `int` | `read()`
    `int` | `read(byte[] b)`
    `int` | `read(byte[] b, int off, int len)`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, mark, markSupported, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UploadProgressInputStream

          public UploadProgressInputStream(InputStream in,
                                   long totalBytes)

  - ### Method Detail

    - #### addListener

          public void addListener(org.apache.commons.fileupload.ProgressListener listener)

    - #### read

          public int read()
                   throws IOException

      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b)
                   throws IOException

      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws IOException

      Overrides:
        `read` in class `FilterInputStream`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `FilterInputStream`
      Throws:
        `IOException`

Copyright © 2015. All Rights Reserved.